AbstractRegistryBroker (Mule ESB 2.2.1 API)
Keywords: org.mule.registry.AbstractRegistryBroker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class AbstractRegistryBroker

    java.lang.Object
      org.mule.registry.AbstractRegistryBroker

All Implemented Interfaces:
  Disposable, Initialisable, Registry, RegistryBroker

Direct Known Subclasses:
  DefaultRegistryBroker

    public abstract class AbstractRegistryBroker

extends Object
implements RegistryBroker

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractRegistryBroker()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`protected abstract Collection` | `getRegistries()`
`String` | `getRegistryId()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isReadOnly()`
`boolean` | `isRemote()`
`Object` | `lookupObject(Class type)` Look up a single object by type.
`Object` | `lookupObject(String key)` Look up a single object by name.
`Collection` | `lookupObjects(Class type)` Look up all objects of a given type.
`void` | `registerObject(String key, Object value)`
`void` | `registerObject(String key, Object value, Object metadata)`
`void` | `registerObjects(Map objects)`
`void` | `unregisterObject(String key)`
`void` | `unregisterObject(String key, Object metadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.RegistryBroker
`addRegistry, removeRegistry`

Constructor Detail

### AbstractRegistryBroker

    public AbstractRegistryBroker()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### getRegistryId

    public String getRegistryId()

  Specified by:
    `getRegistryId` in interface `Registry`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `Registry`

### isRemote

    public boolean isRemote()

  Specified by:
    `isRemote` in interface `Registry`

### getRegistries

    protected abstract Collection getRegistries()

### lookupObject

    public Object lookupObject(String key)

  Description copied from interface: `Registry`
  Look up a single object by name.

  Specified by:
    `lookupObject` in interface `Registry`
  Returns:
    object or null if not found

### lookupObject

    public Object lookupObject(Class type)
                        throws RegistrationException

  Description copied from interface: `Registry`
  Look up a single object by type.

  Specified by:
    `lookupObject` in interface `Registry`
  Returns:
    object or null if not found
  Throws:
    `RegistrationException` - if more than one object is found.

### lookupObjects

    public Collection lookupObjects(Class type)

  Description copied from interface: `Registry`
  Look up all objects of a given type.

  Specified by:
    `lookupObjects` in interface `Registry`
  Returns:
    collection of objects or empty collection if none found

### registerObject

    public void registerObject(String key,
                               Object value)
                        throws RegistrationException

  Specified by:
    `registerObject` in interface `Registry`
  Throws:
    `RegistrationException`

### registerObject

    public void registerObject(String key,
                               Object value,
                               Object metadata)
                        throws RegistrationException

  Specified by:
    `registerObject` in interface `Registry`
  Throws:
    `RegistrationException`

### registerObjects

    public void registerObjects(Map objects)
                         throws RegistrationException

  Specified by:
    `registerObjects` in interface `Registry`
  Throws:
    `RegistrationException`

### unregisterObject

    public void unregisterObject(String key)
                          throws RegistrationException

  Specified by:
    `unregisterObject` in interface `Registry`
  Throws:
    `RegistrationException`

### unregisterObject

    public void unregisterObject(String key,
                                 Object metadata)
                          throws RegistrationException

  Specified by:
    `unregisterObject` in interface `Registry`
  Throws:
    `RegistrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.